
import 'dart:async';

import 'package:flutter/services.dart';


export 'config/ky_project_configure.dart';
export 'config/ky_default_utils.dart';
export 'sizefit/ky_int_extension.dart';
export 'sizefit/ky_double_extension.dart';
export 'tools/ky_log_utils.dart';
export 'tools/ky_toast.dart';
export 'tools/ky_normal_dialog.dart';

class KyToolPlugin {
  static const MethodChannel _channel =
      const MethodChannel('ky_tool_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
}
